NX Open C++ Reference Guide
|
Represents set of Section View Style Preferences applicable to drafting views. More...
Public Member Functions | |
bool | AssemblyCrossHatching () |
Returns the status of assembly cross hatching. | |
bool | Background () |
Returns the status of background. | |
bool | Bendlines () |
Returns the status of bendlines Created in NX5.0.0. | |
bool | CrossHatch () |
Returns the status of cross hatch. | |
double | CrosshatchAdjacencyTolarance () |
Returns the value of crosshatch adjacency tolarance. | |
bool | DisplaySectionLine () |
Returns the status of display section line. | |
bool | Foreground () |
Returns the status of foreground Created in NX5.0.0. | |
bool | HiddenLineHatching () |
Returns the status of hidden line hatching. | |
bool | RestrictCrosshatchAngle () |
Returns Created in NX6.0.0. | |
bool | SectionSheetBodies () |
Returns the status of section sheet bodies. | |
void | SetAssemblyCrossHatching (bool assemblyCrossHatching) |
Sets the status of assembly cross hatching. | |
void | SetBackground (bool background) |
Sets the status of background. | |
void | SetBendlines (bool bendlines) |
Sets the status of bendlines Created in NX5.0.0. | |
void | SetCrossHatch (bool crossHatch) |
Sets the status of cross hatch. | |
void | SetCrosshatchAdjacencyTolarance (double crosshatchAdjacencyTolarance) |
Sets the value of crosshatch adjacency tolarance. | |
void | SetDisplaySectionLine (bool displaySectionLine) |
Sets the status of display section line. | |
void | SetForeground (bool foreground) |
Sets the status of foreground Created in NX5.0.0. | |
void | SetHiddenLineHatching (bool hiddenLineHatching) |
Sets the status of hidden line hatching. | |
void | SetRestrictCrosshatchAngle (bool restrictCrosshatchAngle) |
Sets Created in NX6.0.0. | |
void | SetSectionSheetBodies (bool sectionSheetBodies) |
Sets the status of section sheet bodies. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents set of Section View Style Preferences applicable to drafting views.
To obtain an instance of this class use Drawings::ViewStyle::Section
Created in NX5.0.0.
bool NXOpen::Drawings::SectionViewStyle::AssemblyCrossHatching | ( | ) |
Returns the status of assembly cross hatching.
Controls the crosshatching angle of adjacent solids in an assembly section view.
Works when Drawings::SectionViewStyle::CrossHatch and Drawings::SectionViewStyle::SetCrossHatch is True.
Created in NX5.0.0.
License requirements : None
bool NXOpen::Drawings::SectionViewStyle::Background | ( | ) |
Returns the status of background.
Suppress or display the background curves for a section view. If True, not only the curves and crosshatching generated by cutting the solid are displayed, but the curves behind the cutting plane are displayed as well. If False, only the curves and crosshatching generated by cutting the solid are displayed in the view.
Created in NX5.0.0.
License requirements : None
bool NXOpen::Drawings::SectionViewStyle::Bendlines | ( | ) |
Returns the status of bendlines
Created in NX5.0.0.
License requirements : None
bool NXOpen::Drawings::SectionViewStyle::CrossHatch | ( | ) |
Returns the status of cross hatch.
Allows to control whether or not crosshatching is generated in a given section view. If True, crosshatching is displayed for a section view on the drawing, else crosshatching is not generated for a section view on the drawing, and a performance increase is gained.
Created in NX5.0.0.
License requirements : None
double NXOpen::Drawings::SectionViewStyle::CrosshatchAdjacencyTolarance | ( | ) |
Returns the value of crosshatch adjacency tolarance.
Controls the crosshatching angle of adjacent solids in an assembly section view.
Works when Drawings::SectionViewStyle::AssemblyCrossHatching and Drawings::SectionViewStyle::SetAssemblyCrossHatching is True.
Created in NX5.0.0.
License requirements : None
bool NXOpen::Drawings::SectionViewStyle::DisplaySectionLine | ( | ) |
Returns the status of display section line.
Suppress or display the sectio line in a section view.
Created in NX6.0.0.
License requirements : None
bool NXOpen::Drawings::SectionViewStyle::Foreground | ( | ) |
Returns the status of foreground
Created in NX5.0.0.
License requirements : None
bool NXOpen::Drawings::SectionViewStyle::HiddenLineHatching | ( | ) |
Returns the status of hidden line hatching.
Controls whether hatching for a Break-Out or Pictorial Section view participates in hidden line processing. When it is True for a break-out section view, the only hatch style available is iron (equally spaced solid lines).
Works when Drawings::SectionViewStyle::CrossHatch and Drawings::SectionViewStyle::SetCrossHatch is True.
Created in NX5.0.0.
License requirements : None
bool NXOpen::Drawings::SectionViewStyle::RestrictCrosshatchAngle | ( | ) |
Returns
Created in NX6.0.0.
License requirements : None
bool NXOpen::Drawings::SectionViewStyle::SectionSheetBodies | ( | ) |
Returns the status of section sheet bodies.
Allows sectioning of sheet bodies in a Section view.
Created in NX5.0.0.
License requirements : None
void NXOpen::Drawings::SectionViewStyle::SetAssemblyCrossHatching | ( | bool | assemblyCrossHatching | ) |
Sets the status of assembly cross hatching.
Controls the crosshatching angle of adjacent solids in an assembly section view.
Works when Drawings::SectionViewStyle::CrossHatch and Drawings::SectionViewStyle::SetCrossHatch is True.
Created in NX5.0.0.
License requirements : drafting ("DRAFTING")
assemblyCrossHatching | assembly cross hatching |
void NXOpen::Drawings::SectionViewStyle::SetBackground | ( | bool | background | ) |
Sets the status of background.
Suppress or display the background curves for a section view. If True, not only the curves and crosshatching generated by cutting the solid are displayed, but the curves behind the cutting plane are displayed as well. If False, only the curves and crosshatching generated by cutting the solid are displayed in the view.
Created in NX5.0.0.
License requirements : drafting ("DRAFTING")
background | background |
void NXOpen::Drawings::SectionViewStyle::SetBendlines | ( | bool | bendlines | ) |
Sets the status of bendlines
Created in NX5.0.0.
License requirements : drafting ("DRAFTING")
bendlines | bendlines |
void NXOpen::Drawings::SectionViewStyle::SetCrossHatch | ( | bool | crossHatch | ) |
Sets the status of cross hatch.
Allows to control whether or not crosshatching is generated in a given section view. If True, crosshatching is displayed for a section view on the drawing, else crosshatching is not generated for a section view on the drawing, and a performance increase is gained.
Created in NX5.0.0.
License requirements : drafting ("DRAFTING")
crossHatch | cross hatch |
void NXOpen::Drawings::SectionViewStyle::SetCrosshatchAdjacencyTolarance | ( | double | crosshatchAdjacencyTolarance | ) |
Sets the value of crosshatch adjacency tolarance.
Controls the crosshatching angle of adjacent solids in an assembly section view.
Works when Drawings::SectionViewStyle::AssemblyCrossHatching and Drawings::SectionViewStyle::SetAssemblyCrossHatching is True.
Created in NX5.0.0.
License requirements : drafting ("DRAFTING")
crosshatchAdjacencyTolarance | crosshatch adjacency tolarance |
void NXOpen::Drawings::SectionViewStyle::SetDisplaySectionLine | ( | bool | displaySectionLine | ) |
Sets the status of display section line.
Suppress or display the sectio line in a section view.
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
displaySectionLine | display section line |
void NXOpen::Drawings::SectionViewStyle::SetForeground | ( | bool | foreground | ) |
Sets the status of foreground
Created in NX5.0.0.
License requirements : drafting ("DRAFTING")
foreground | foreground |
void NXOpen::Drawings::SectionViewStyle::SetHiddenLineHatching | ( | bool | hiddenLineHatching | ) |
Sets the status of hidden line hatching.
Controls whether hatching for a Break-Out or Pictorial Section view participates in hidden line processing. When it is True for a break-out section view, the only hatch style available is iron (equally spaced solid lines).
Works when Drawings::SectionViewStyle::CrossHatch and Drawings::SectionViewStyle::SetCrossHatch is True.
Created in NX5.0.0.
License requirements : drafting ("DRAFTING")
hiddenLineHatching | hidden line hatching |
void NXOpen::Drawings::SectionViewStyle::SetRestrictCrosshatchAngle | ( | bool | restrictCrosshatchAngle | ) |
Sets
Created in NX6.0.0.
License requirements : drafting ("DRAFTING")
restrictCrosshatchAngle | restrict crosshatch angle |
void NXOpen::Drawings::SectionViewStyle::SetSectionSheetBodies | ( | bool | sectionSheetBodies | ) |
Sets the status of section sheet bodies.
Allows sectioning of sheet bodies in a Section view.
Created in NX5.0.0.
License requirements : drafting ("DRAFTING")
sectionSheetBodies | section sheet bodies |
tag_t NXOpen::Drawings::SectionViewStyle::Tag | ( | ) | const |
Returns the tag of this object.